datablock ParticleData(Starfox_ContrailParticle)
{
   dragCoefficient      = 1.5;
   gravityCoefficient   = 0;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 5.0;
   lifetimeMS           = 3000;
   lifetimeVarianceMS   = 0;
   textureName          = "particleTest";
   colors[0]     = "0.6 0.6 0.6 0.5";
   colors[1]     = "0.2 0.2 0.2 0";
   sizes[0]      = 0.6 * 4;
   sizes[1]      = 5 * 4;
};

datablock ParticleEmitterData(Starfox_ContrailEmitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 50;
   velocityVariance = 50.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 10;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvances = false;
   particles = "Starfox_ContrailParticle";
};

datablock ParticleData(Starfox_ContrailParticle_Big)
{
   dragCoefficient      = 1.5;
   gravityCoefficient   = 0;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 10.0;
   lifetimeMS           = 3000;
   lifetimeVarianceMS   = 0;
   textureName          = "particleTest";
   colors[0]     = "0.6 0.6 0.6 0.5";
   colors[1]     = "0.2 0.2 0.2 0";
   sizes[0]      = 0.6 * 8;
   sizes[1]      = 5 * 8;
};

datablock ParticleEmitterData(Starfox_ContrailEmitter_Big)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 100;
   velocityVariance = 100.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 10;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvances = false;
   particles = "Starfox_ContrailParticle_Big";
};


datablock ParticleData(Starfox_FlyerJetParticle)
{
   dragCoefficient      = 1.5;
   gravityCoefficient   = 0;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 200;
   lifetimeVarianceMS   = 0;
   textureName          = "particleTest";
   colors[0]     = "0.9 0.7 0.3 0.6";
   colors[1]     = "0.3 0.3 0.5 0";
   sizes[0]      = 2 * 4;
   sizes[1]      = 6 * 4;
};

datablock ParticleEmitterData(Starfox_FlyerJetEmitter)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 0;
   ejectionVelocity = 80;
   velocityVariance = 80.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 10;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvances = false;
   particles = "Starfox_FlyerJetParticle";
};

datablock ItemData(Arwing)
{   
   //Trail: "ContrailEmitter" Forward Trail: "FlyerJetEmitter" Thrust: "ScoutFlyerThrustSound" Engine: "ScoutFlyerEngineSound"
   catagory       = "SMASH Starfox Ships";
   shapeFile      = "vehicle_air_scout.dts";
   name = "Arwing";
};

function Arwing::onCollision(%data,%obj,%col)
{
   return;
}

datablock ItemData(GreatFox)
{   
   //Trail: "ContrailEmitter" Forward Trail: "FlyerJetEmitter" Thrust: "BomberFlyerThrustSound" Engine: "BomberFlyerEngineSound"
   catagory       = "SMASH Starfox Ships";
   shapeFile      = "vehicle_air_bomber.dts";
   name = "GreatFox";
};

function GreatFox::onCollision(%data,%obj,%col)
{
   return;
}