//.------------------------------------.
//|..::[SMASH Configuration Script]::..|
//.------------------------------------.
//| [ 0 = Disabled ]   [ 1 = Enabled ] |
//.------------------------------------.---------------------------.
//| Original T1 and T2 SMASH Mod Created By EiKeDo (Dillon DeLoss) |
//.-------------------------------------------------------------..::


//.--------------------------------.
//|..::["SMASH::ClientJoinMSG"]::..|
//.--------------------------------.--------------.
//| What to say after the SMASH Logo dialog ends. |
//.--------------------------------------------..::
$SMASH::ClientJoinMSG = "Welcome to " @ $Host::GameName @ ".\n\nGood Luck and Have Fun!";

//.------------------------------------.
//|..::["SMASH::ClientJoinMSGTime"]::..|
//.------------------------------------.-------------------.
//| How long the SMASH::ClientJoinMSG shows.               |
//| *Set to 0 to totally disable the SMASH::ClientJoinMSG. |
//.-----------------------------------------------------..::
$SMASH::ClientJoinMSGTime = 5;

//.--------------------------.
//|..::["SMASH::NoDeath"]::..|
//.--------------------------.----------------------------------.
//| Whether or not players will die.                            |
//| *If enabled, a player's max damage will be 99% and wont die |
//| unless smashed out.                                         |
//.----------------------------------------------------------..::
$SMASH::NoDeath = 1;

//.----------------------------.
//|..::["SMASH::NoSuicide"]::..|
//.----------------------------.-----------------------------.
//| Whether or not players will be able to commit suicide by |
//| pressing CTRL+K.                                         |
//.-------------------------------------------------------..::
$SMASH::NoSuicide = 1;

//.--------------------------------------------.
//|..::["SMASH::ReverseDamagePercentScore"]::..|
//.--------------------------------------------.----------.
//| If enabled, instead of more damage = more score, more |
//| damage = less score.                                  |
//.----------------------------------------------------..::
$SMASH::ReverseDamagePercentScore = 1;

//.-------------------------------------.
//|..::["SMASH::KnockOutScoreWorth"]::..|
//.-------------------------------------.---------------.
//| How much SMASHing out a player is worth score-wise. |
//| NOTE: If you change this, change FFA missions score |
//| limits accordingly.                                 |
//.--------------------------------------------------..::
$SMASH::KnockOutScoreWorth = 10;

//.--------------------------------------------.
//|..::["SMASH::KnockOutMSGShowDamageType"]::..|
//.--------------------------------------------.-----------------.
//| Whether or not the SMASH out message will contain the damage |
//| type last applied.                                           |
//.-----------------------------------------------------------..::
$SMASH::KnockOutMSGShowDamageType = 1;

//.---------------------------------.
//|..::["SMASH::KnockOutEffect"]::..|
//.---------------------------------.---------------------------.
//| Whether or not, when players are SMASHed out, many red orbs |
//| will fly from the exploding player.                         |
//.----------------------------------------------------------..::
$SMASH::KnockOutEffect = 1;

//.-------------------------------.
//|..::["SMASH::KnockOutEcho"]::..|
//.-------------------------------.----------------------------.
//| Whether or not, when a player is SMASHed out, it will echo |
//| in console.                                                |
//.---------------------------------------------------------..::
$SMASH::KnockOutEcho = 1;

//.----------------------------------.
//|..::["SMASH::AirBrakeBeacons"]::..|
//.----------------------------------.-----.
//| Whether or not Beacons will air brake. |
//.-------------------------------------..::
$SMASH::AirBrakeBeacons = 1;

//.---------------------------------------.
//|..::["SMASH::AirBrakeBeaconEffect"]::..|
//.---------------------------------------.------------------------.
//| "SMASH::AirBrakeBeacons" MUST be enabled to use this function! |
//| Whether or not, when air brakes are used, an effect will show  |
//| around the player.                                             |
//.-------------------------------------------------------------..::
$SMASH::AirBrakeBeaconEffect = 1;

//.------------------------------------.
//|..::["SMASH::AirBrakeBeaconSFX"]::..|
//.------------------------------------.---------------------------.
//| "SMASH::AirBrakeBeacons" MUST be enabled to use this function! |
//| Whether or not, when a player uses a air brake, a sound fx     |
//| will play for that player.                                     |
//.-------------------------------------------------------------..::
$SMASH::AirBrakeBeaconSFX = 1;

//.------------------------------------.
//|..::["SMASH::AmmoRefreshEffect"]::..|
//.------------------------------------.-----------------------.
//| Whether or not, when a player's ammo gets refreshed (from  |
//| a SMASH out), a spiffy effect will show around the player. |
//.---------------------------------------------------------..::
$SMASH::AmmoRefreshEffect = 1;

//.---------------------------------.
//|..::["SMASH::AmmoRefreshSFX"]::..|
//.---------------------------------.---------------------------.
//| Whether or not, when a player's ammo is refresh, a sound fx |
//| will play for that player.                                  |
//.----------------------------------------------------------..::
$SMASH::AmmoRefreshSFX = 1;

//.------------------------------.
//|..::["SMASH::SpawnEffect"]::..|
//.------------------------------.----------------------------.
//| Whether or not, when a player spawns, an effect will show |
//| around the player.                                        |
//.--------------------------------------------------------..::
$SMASH::SpawnEffect = 1;

//.---------------------------.
//|..::["SMASH::SpawnSFX"]::..|
//.---------------------------.----------------------.
//| Whether or not, when a player spawns, a sound fx |
//| will play for that player.                       |
//.-----------------------------------------------..::
$SMASH::SpawnSFX = 1;

//.---------------------------.
//|..::["SMASH::PowerUps"]::..|
//.---------------------------.---------------------.
//| Whether or not Power Up Dispencers are enabled. |
//.----------------------------------------------..::
$SMASH::PowerUps = 1;

//.------------------------------.
//|..::["SMASH::PowerUpEcho"]::..|
//.------------------------------.--------------------------.
//| "SMASH::PowerUps" MUST be enabled to use this function! |
//| Whether or not to echo Power Up events in console.      |
//.------------------------------------------------------..::
$SMASH::PowerUpEcho = 1;

//.--------------------------------------.
//|..::["SMASH::PowerUpRefreshDelay"]::..|
//.--------------------------------------.--------------------------------.
//| "SMASH::PowerUps" MUST be enabled to use this function!               |
//| How long it takes for Power Ups to respawn on the Power Up Dispencer. |
//.--------------------------------------------------------------------..::
$SMASH::PowerUpRefreshDelay = 60;

//.----------------------------------------.
//|..::["SMASH::PowerUpInvincibleTime"]::..|
//.----------------------------------------.----------------.
//| "SMASH::PowerUps" MUST be enabled to use this function! |
//| How long the Invincibility Power Up lasts.              |
//.------------------------------------------------------..::
$SMASH::PowerUpInvincibleTime = 20;

//.---------------------------------------.
//|..::["SMASH::PowerUpInvisibleTime"]::..|
//.---------------------------------------.-----------------.
//| "SMASH::PowerUps" MUST be enabled to use this function! |
//| How long the Invisibility Power Up lasts.               |
//.------------------------------------------------------..::
$SMASH::PowerUpInvisibleTime = 20;

//.-----------------------------------.
//|..::["SMASH::PowerUpHasteTime"]::..|
//.-----------------------------------.---------------------.
//| "SMASH::PowerUps" MUST be enabled to use this function! |
//| How long the Haste Power Up lasts.                      |
//.------------------------------------------------------..::
$SMASH::PowerUpHasteTime = 20;

//.------------------------------------.
//|..::["SMASH::PowerUpEnergyTime"]::..|
//.------------------------------------.--------------------.
//| "SMASH::PowerUps" MUST be enabled to use this function! |
//| How long the Energy Power Up lasts.                     |
//.------------------------------------------------------..::
$SMASH::PowerUpEnergyTime = 20;

//.-------------------------------.
//|..::["SMASH::FallingItems"]::..|
//.-------------------------------.---------------------.
//| Whether or not random items will fall from the sky. |
//| --------------------------------------------------- |
//| NOTE 1: If FallingHazards is enabled there will be  |
//| a 75% chance of falling Items.                      |
//| --------------------------------------------------- |
//| NOTE 2: If FallingHazards is disabled ONLY Items    |
//| will fall from the sky.                             |
//| --------------------------------------------------- |
//| NOTE 3: Disable both if you want nothing to fall!   |
//.--------------------------------------------------..::
$SMASH::FallingItems = 1;

//.------------------------------.
//|..::["SMASH::MinBoxItems"]::..|
//.------------------------------.---------------------------------.
//| "SMASH::FallingItems" MUST be enabled to use this function!    |
//| The minimum amount of items that will "pop" out of a item box. |
//.-------------------------------------------------------------..::
$SMASH::MinBoxItems = 3;

//.------------------------------.
//|..::["SMASH::MaxBoxItems"]::..|
//.------------------------------.---------------------------------.
//| "SMASH::FallingItems" MUST be enabled to use this function!    |
//| The maximum amount of items that will "pop" out of a item box. |
//.-------------------------------------------------------------..::
$SMASH::MaxBoxItems = 6;

//.---------------------------------.
//|..::["SMASH::FallingHazards"]::..|
//.---------------------------------.----------------------.
//| Whether or not random hazards will fall from the sky.  |
//| ------------------------------------------------------ |
//| NOTE 1: If FallingItems is enabled there will be a 25% |
//| chance of falling Hazards.                             |
//| ------------------------------------------------------ |
//| NOTE 2: If FallingItems is disabled ONLY Hazards will  |
//| fall.                                                  |
//| ------------------------------------------------------ |
//| NOTE 3: Disable both if you want nothing to fall!      |
//.-----------------------------------------------------..::
$SMASH::FallingHazards = 1;

//.----------------------------------------.
//|..::["SMASH::FallingStuffSpawnTime"]::..|
//.----------------------------------------.-----------------.
//| "SMASH::FallingItems" OR "SMASH::FallingHazards" MUST be |
//| enabled to use this function!                            |
//| How long it takes for falling stuff to spawn.            |
//.-------------------------------------------------------..::
$SMASH::FallingStuffSpawnTime = 15;

//.---------------------------------------.
//|..::["SMASH::FallingStuffSpawnSFX"]::..|
//.---------------------------------------.-----------------------.
//| "SMASH::FallingItems" OR "SMASH::FallingHazards" MUST be      |
//| enabled to use this function!                                 |
//| Whether or not a SFX will play when falling stuff is spawned. |
//.------------------------------------------------------------..::
$SMASH::FallingStuffSpawnSFX = 1;

//.----------------------------------------.
//|..::["SMASH::FallingStuffSpawnEcho"]::..|
//.----------------------------------------.--------------------.
//| "SMASH::FallingItems" OR "SMASH::FallingHazards" MUST be    |
//| enabled to use this function!                               |
//| Whether or not, when falling stuff is spawned, it will echo |
//| in console.                                                 |
//.----------------------------------------------------------..::
$SMASH::FallingStuffSpawnEcho = 1;

//.-----------------------------------------.
//|..::["SMASH::OnlyBuildSMASHMissions"]::..|
//.-----------------------------------------.---------------------.
//| Whether or not only SMASH type missions will show.            |
//| *Keep enabled; SMASH type missions work the best for the mod. |
//.------------------------------------------------------------..::
$SMASH::OnlyBuildSMASHMissions = 1;

//.-------------------------------.
//|..::["SMASH::InfiniteAmmo"]::..|
//.-------------------------------.-------------------------------.
//| Whether or not players start with ALOT of ammo and have a max |
//| of 999 ammo in each weapon.                                   |
//.------------------------------------------------------------..::
$SMASH::InfiniteAmmo = 0;

//.-----------------------------------.
//|..::["SMASH::RegenerateHealth"]::..|
//.-----------------------------------.-----------------------------.
//| Whether or not players regenerate health over a period of time. |
//.--------------------------------------------------------------..::
$SMASH::RegenerateHealth = 1;

//.---------------------------------------.
//|..::["SMASH::AllowNewWeaponBuying"]::..|
//.---------------------------------------.---------------------.
//| Whether or not new weapons will show in the inventory menu. |
//| NOTE: Whether on or off; new weapons will still fall from   |
//| the sky.                                                    |
//.----------------------------------------------------------..::
$SMASH::AllowNewWeaponBuying = 1;