datablock StaticShapeData(MarioPipeTransitioner)
{
   catagory = "SMASH Mario Pipes";
   shapefile = "Nexuscap.dts";
   mass = 10;
   elasticity = 0.2;
   friction = 0.6;
   pickupRadius = 2;
};

function MarioPipeTransitioner::onAdd(%data, %obj)
{
   if(!GetWordCount(%obj.linkedPipePos))
   {
      %obj.linkedPipePos = "0 0 0";
   }

   if(!GetWordCount(%obj.linkedPipeVel))
   {
      %obj.linkedPipeVel = "0 0 0";
   }
}

datablock AudioProfile(SMASHMarioPipeSound)
{
   filename    = "fx/weapons/chaingun_start.wav";
   description = AudioClose3d;
   preload = true;
};

function MarioPipeTransitioner::onCollision(%this, %obj, %colObj)
{
   if(!$matchStarted || !%colObj.client || %colObj.getState() $= "Dead")
	return;

   %colObj.position = %obj.linkedPipePos;
   %colObj.setWhiteOut(0.20);
   %colObj.setVelocity(%obj.linkedPipeVel);
   %colObj.playAudio(0, SMASHMarioPipeSound);
   messageClient(%colObj.client, '', '~wfx/weapons/chaingun_start.wav');
}